#ifndef MyDeserializer_H
#define MyDeserializer_H

#include "MySerializable.h"
namespace ProtoGenWrapper
{
	class MyDeserializer :
		public IDeserializer
	{
	public:
		bool DeserializeFromString(ComChannel& comChannel, const std::string& input) override;
		bool DeserializeFromString(DiagService& diagService, const std::string& input) override;
		bool DeserializeFromString(DResponse& response, const std::string& input) override;
		bool DeserializeFromString(DResult& result, const std::string& input) override;
		bool DeserializeFromString(DParameter& parameter, const std::string& input) override;
		bool DeserializeFromString(ComInterface& comInterface, const std::string& input) override;
		bool DeserializeFromString(DResultState& resultState, const std::string& input) override;
		bool DeserializeFromString(DError& error, const std::string& input) override;
		bool DeserializeFromString(DResponseParameter& parameter, const std::string& input) override;
		bool DeserializeFromString(DRequest& request, const std::string& input) override;
		bool DeserializeFromString(OnPrimitiveBufferHasResult& onPrimitiveBufferHasResult, const std::string& input) override;
	};
}
#endif // MyDeserializer_H
